compiz lockscreen crashed with SIGABRT in AcceleratorController :: OnActionActivated

Bug #1605012 reported by errors.ubuntu.com bug bridge on 2016-07-20
310
This bug affects 69 people
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
Critical
Andrea Azzarone
Xenial
Undecided
Unassigned

Bug Description

The Ubuntu Error Tracker has been receiving reports about a problem regarding unity. This problem was most recently seen with version 1:0.9.13.0+16.10.20160705-0ubuntu1, the problem page at https://errors.ubuntu.com/problem/3b6021b2a260a015c9f0ae0c161ac8fe0d784381 contains more details.

[Impact]
Pressing some shortcuts might crash the lockscreen.

[Test case]
1. Press any of the allowed lockscreen key bindings (defined in http://pastebin.ubuntu.com/21870072/), unity should not crash.

[Regression potential]
None

Related branches

Andrea Azzarone (azzar1) on 2016-07-21
Changed in unity (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andrea Azzarone (azzar1)
tags: added: desktop-trello-import

This bug was fixed in the package unity - 7.5.0+16.10.20160727-0ubuntu1

---------------
unity (7.5.0+16.10.20160727-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * [LockSceen] Remove numlock warning. (LP: #1526322)
  * Make sure initiate and terminate callbacks are not empty before
    calling them. (LP: #1605012)
  * Properly destroy close_button_ to properly disconnect lambda. (LP:
    #1605010)
  * Use the standard notification-device-eject in the "device eject"
    notification. This allows us to scale it properly on high-dpi
    setups. (LP: #1605231)
  * Add tools to enforce unityshell plugin for the current profile and
    add "move" and "resize" plugins as requirements. (LP: #1506023,
    #1605007)
  * When locked discard damages from windows below lockscreen. (LP:
    #1605180)

  [ Eleni Maria Stea ]
  * DecoratedWindow: Added shadows for shaped windows

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: ensure callbacks are valid before
    calling them (LP: #1605012)
  * DecoratedWindow: Cleanup shadows for shaped windows, reduce
    recomputation

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Wed, 27 Jul 2016 10:25:54 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Andrea Azzarone (azzar1) on 2016-07-28
Changed in unity (Ubuntu):
importance: High → Critical
Igor Shuvalov (i-s-shuvalov) wrote :

When I be able to get that fix on Ubuntu 16.04? Bug still here:
unity/xenial-updates,now 7.4.0+16.04.20160715-0ubuntu1 amd64 [installed]

Andrea Azzarone (azzar1) wrote :

It's already fixed in 16.10 and we already started the SRU process to bring the fix to the regression in 16.04.

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu Xenial):
status: New → Confirmed
Konstantin (ivankin) wrote :

May also be helpful:

When I lock and try to change language in the login screen (Alt+Shift), it flashes as described showing me the desktop for a moment.
When I then log in successfully, Shut Down option doesn't work as expected, throwing me out to login screen.

But if I lock and NOT try the language switch, then Shut Down works fine.

Anyways, Ubuntu and lightDM are awesome :p

duplicate bug #1609236 seems to be fixed. I can now switch back to English in the screensaver lock screen. My version of unity is 7.4.0+16.04.20160715-0ubuntu1. It also no longer crashes when I press "Ctl-Alt-Del".

information type: Public → Public Security
information type: Public Security → Public
Egor Ignatenkov (phat1984) wrote :

I also have unity version 7.4.0+16.04.20160715-0ubuntu1 and I still have this bug. What are the plans of releasing the hotfix to 16.04? It's quite annoying.

A SRU is in progress, it will be released soon.

2016-08-08 15:29 GMT+02:00 Egor Ignatenkov <email address hidden>:

> I also have unity version 7.4.0+16.04.20160715-0ubuntu1 and I still have
> this bug. What are the plans of releasing the hotfix to 16.04? It's
> quite annoying.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1605012
>
> Title:
> /usr/bin/compiz:6:__gnu_cxx::__verbose_terminate_handler:__
> cxxabiv1::__terminate:std::terminate:__cxxabiv1::__cxa_throw:void
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/
> 1605012/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: distribution=ubuntu; sourcepackage=unity; component=main;
> status=Fix Released; importance=Critical; assignee=andrea.azzarone@
> canonical.com;
> Launchpad-Bug: distribution=ubuntu; distroseries=xenial;
> sourcepackage=unity; component=main; status=Confirmed;
> importance=Undecided; assignee=None;
> Launchpad-Bug-Tags: raring saucy trusty xenial yakkety
> Launchpad-Bug-Information-Type: Public
> Launchpad-Bug-Private: no
> Launchpad-Bug-Security-Vulnerability: no
> Launchpad-Bug-Commenters: azzar1 filopodaros i-s-shuvalov ivankin janitor
> phat1984 whoopsie-daisy-bug-bridge
> Launchpad-Bug-Reporter: errors.ubuntu.com bug bridge
> (whoopsie-daisy-bug-bridge)
> Launchpad-Bug-Modifier: Egor Ignatenkov (phat1984)
> Launchpad-Message-Rationale: Subscriber
> Launchpad-Message-For: 3v1n0
>

--
Treviño's World - Life and Linux
http://www.3v1n0.net

summary: - /usr/bin/compiz:6:__gnu_cxx::__verbose_terminate_handler:__cxxabiv1::__terminate:std::terminate:__cxxabiv1::__cxa_throw:void
+ compiz lockscreen crashed with SIGABRT in AcceleratorController ::
+ OnActionActivated

Hello errors.ubuntu.com, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160801.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed
Vaclav Rehak (vaclav-n) wrote :

Verified with unity 7.4.0+16.04.20160801.2-0ubuntu1 - it no more crashes and the keyboard layout changes as expected.

tags: added: verification-done
removed: verification-needed
Dmitry Korzhevin (korg) wrote :

Fix confirmation from Crytek CERT team with SRU updates for unity (7.4.0+16.04.20160801.2-0ubuntu1) and related packages:

compiz-core (1:0.9.12.2+16.04.20160801.3-0ubuntu1)
libcompizconfig0:amd64 (1:0.9.12.2+16.04.20160801.3-0ubuntu1)
libdecoration0:amd64 (1:0.9.12.2+16.04.20160801.3-0ubuntu1)
compiz-plugins-default:amd64 (1:0.9.12.2+16.04.20160801.3-0ubuntu1)
compiz-gnome (1:0.9.12.2+16.04.20160801.3-0ubuntu1)
compiz (1:0.9.12.2+16.04.20160801.3-0ubuntu1)
libframe6:amd64 (2.5.0daily13.06.05+16.04.20160809-0ubuntu1)
unity-services (7.4.0+16.04.20160801.2-0ubuntu1)
unity-schemas (7.4.0+16.04.20160801.2-0ubuntu1)
libunity-core-6.0-9:amd64 (7.4.0+16.04.20160801.2-0ubuntu1)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20160801.2-0ubuntu1

---------------
unity (7.4.0+16.04.20160801.2-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * FileManagerLauncherIcon: Don't trust the Quirk::VISIBLE in the ctor.
    (LP: #1599133)
  * [TrashLauncherIcon] Create GFileMonitor in an idle to avoid blocking
    calls. (LP: #1602720)
  * [LockSceen] Remove numlock warning. (LP: #1526322)
  * Make sure initiate and terminate callbacks are not empty before
    calling them. (LP: #1605012)
  * Properly destroy close_button_ to properly disconnect lambda. (LP:
    #1605010)
  * Use the standard notification-device-eject in the "device eject"
    notification. This allows us to scale it properly on high-dpi
    setups. (LP: #1605231)
  * Add tools to enforce unityshell plugin for the current profile and
    add "move" and "resize" plugins as requirements. (LP: #1506023, LP:
    #1605007, LP: #1604657)

  [ Marco Trevisan (Treviño) ]
  * Unity script: use result from unity_support_test to check the right
    COMPIZ_CONFIG_PROFILE to use (LP: #1602377)
  * LockScreenAcceleratorController: ensure callbacks are valid before
    calling them (LP: #1605012)

  [ Eleni Maria Stea ]
  * DecoratedWindow: Added shadows for shaped windows (LP: 1608418)

  [ Marco Trevisan (Treviño) ]
  * DecoratedWindow: Cleanup shadows for shaped windows, reduce
    recomputation (LP: #1608418)
  * UnityWindowView: don't try to deference close_button_ if its' null

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Mon, 01 Aug 2016 13:10:28 +0000

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers